# ADFS / Turnstile Socialite Provider

## Installation

Run:

`php artisan vendor:publish --provider=Drp\\AdfsSocialiteProvider\\ServiceProvider`

Add this to your `.env`

```dotenv
ADFS_AUTH_URL=
ADFS_TOKEN_URL=
ADFS_CLIENT_ID=
ADFS_CLIENT_SECRET=
```

Make sure if you are using fillable attributes that `adfs_id` is within the `$fillable` property
on your user model.

### Customising the redirect

If you would like to override where the adfs provider redirects 
the user after logging in then override `adfs.redirect` in the application
with your own response.

For example:

```php
$this->app->bind('adfs.redirect', function () {
    return redirect()->route('my-new-route');
});
```

### Updating Config
After running the publish command, you should see a new config file, `adfs.php`. Update the values in this file (if required) to fit your applications requirements.

### None Database Version

If you don't want to have a database and create the user model...etc then there's
an alternative auth driver for you to use. 

Go to your `config/auth.php` and swap out your `web` guard to be the below:

```php
'web' => [
    'driver' => 'adfs',
],
```

This will then store the user's  attributes in an encrypted key on the session.
